| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# BinInputStream Class Reference

`#include <BinInputStream.hpp>`

Inheritance diagram for BinInputStream

[legend]
List of all members.

## Public Methods

virtual | ~BinInputStream ()
virtual unsigned int | curPos ()const=0
virtual unsigned int | readBytes (XMLByte *const toFill,const unsigned int maxToRead)=0

## Protected Methods

| BinInputStream ()

## Constructor & Destructor Documentation

virtual BinInputStream::~BinInputStream ( | )`[virtual]`

BinInputStream::BinInputStream ( | )`[protected]`

## Member Function Documentation

virtual unsigned int BinInputStream::curPos ( | ) const`[pure virtual]`

| Reimplemented in BinFileInputStream, and BinMemInputStream.

virtual unsigned int BinInputStream::readBytes ( | XMLByte *const toFill,
| const unsigned int maxToRead )`[pure virtual]`

| Reimplemented in BinFileInputStream, and BinMemInputStream.

The documentation for this class was generated from the following file:

- BinInputStream.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.